Subject: Re: bug#60527: 30.0.50; Typing SPC in a minibuffer with completion

From: Jean Louis <[email-masked]>
Date: Wed, 4 Jan 2023 21:14:14 +0300

* Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors <[email-masked]> [2023-01-03 22:07]:
> I wish the SPC binding to `minibuffer-complete-word` would go because it
> makes it hard to type SPC in the minibuffer whenever there's completion.
> 
> Typing a SPC in a "minibuffer with completion" can be needed when the
> things we want to complete contains a SPC character (e.g. file names,
> which is why we disable that SPC binding when completing file names),
> but also when using completion styles like `orderless` which make the
> use of a SPC character to specify how to select the
> completion candidates.
> 
> So my favorite option is indeed to simply remove this binding.
> Those few users who like it and use it (probably long-time users of
> Emacs) could easily get it back with:

Thanks. It will help in my packages as I have completion which I need
to be editable by user, such as header, footer specification and
inserting space require knowing how to use `C-q SPC', not a big deal,
but it will help in usability.

For completion I use TAB, instead of space. Space goes slow word by
word, but I did not find use for it yet.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/